Update Discount
curl --request PUT \
--url https://app.flowglad.com/api/v1/discounts/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"discount": {
"id": "<string>",
"code": "<string>",
"amount": 123,
"duration": "<string>",
"name": "<string>",
"active": true,
"numberOfPayments": null
}
}
'import requests
url = "https://app.flowglad.com/api/v1/discounts/{id}"
payload = { "discount": {
"id": "<string>",
"code": "<string>",
"amount": 123,
"duration": "<string>",
"name": "<string>",
"active": True,
"numberOfPayments": None
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
discount: {
id: '<string>',
code: '<string>',
amount: 123,
duration: '<string>',
name: '<string>',
active: true,
numberOfPayments: null
}
})
};
fetch('https://app.flowglad.com/api/v1/discounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"discount": {
"id": "<string>",
"createdAt": 0,
"updatedAt": 0,
"livemode": true,
"organizationId": "<string>",
"pricingModelId": "<string>",
"name": "<string>",
"code": "<string>",
"amount": 123,
"active": true,
"duration": "<string>",
"numberOfPayments": null
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Discounts
Update Discount
PUT
/
api
/
v1
/
discounts
/
{id}
Update Discount
Authorizations
Path Parameters
Body
application/json
A discount record, which describes a discount that can be applied to purchases or subscriptions. Discounts can be one-time, have a fixed number of payments, or be applied indefinitely.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Response
Successful response
A discount record, which describes a discount that can be applied to purchases or subscriptions. Discounts can be one-time, have a fixed number of payments, or be applied indefinitely.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
⌘I